Check-in [bcf91a7cc8]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:bcf91a7cc89e92e3a46fce526816aacd5d5e244b
Date: 2012-03-29 01:36:58
User: BarryK
Comment:Xdialog bug Yes/No buttons displaying as OK/Cancel

Tags And Properties
Changes

Changes to woof-code/rootfs-skeleton/usr/sbin/Pudd

@@ -8,10 +8,11 @@
 # to display a message window when the script begins
 # until the probles are ok, so to inform the user
 # everything is going well.
 #
 #1102025 use probedisk2.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 
 BKCOLOR='#ffe0e0'
 BLURBERR=""
 touch /tmp/umounterr.txt
@@ -500,11 +501,11 @@
   DESTBYTES=`disktype $DESTPART | grep "Volume size" | tr "(" " " | tr -s " " | cut -f 6 -d " "`
   DESTSIZE=`expr $DESTBYTES \/ 1024`
   if [ $DESTSIZE -gt $SOURCESIZE ];then
    ALLOWGROW="`echo "$SOURCEFS" | grep --extended-regexp "ext2|ext3|Ext2|Ext3|FAT12|FAT16|FAT32|msdos|vfat"`"
    if [ ! "$ALLOWGROW" = "" ];then
-    Xdialog --wmclass "Pudd" --title "Puppy universal dd: grow filesystem" --stdout --yesno "Do you want to grow the filesystem to fill the partition?\n(after it is copied to the partition)\n(ext2, ext3 and fat12/16/32 (msdos/vfat) filesystems only)" 0 0
+    Xdialog --wmclass "Pudd" --title "Puppy universal dd: grow filesystem" --stdout --ok-label "Yes" --cancel-label "No" --yesno "Do you want to grow the filesystem to fill the partition?\n(after it is copied to the partition)\n(ext2, ext3 and fat12/16/32 (msdos/vfat) filesystems only)" 0 0
     if [ ! $? -eq 0 ];then
      ALLOWGROW=""
     fi
    fi
    break
@@ -599,11 +600,11 @@
 
       #if source is partition, zeroise unused part for max compression...
       if [ "$SOURCECHOICE" = "partition" ];then
        ALLOWZERO="`echo "$SOURCEFS" | grep --extended-regexp "ext2|ext3|Ext2|Ext3|FAT12|FAT16|FAT32|msdos|vfat|ReiserFS|reiserfs"`"
        if [ ! "$ALLOWZERO" = "" ];then
-        Xdialog --wmclass "Pudd" --title "Puppy universal dd: optimise compression" --stdout --yesno "$SOURCEPART will be copied to $DESTPART.gz, compressed with gzip.
+        Xdialog --wmclass "Pudd" --title "Puppy universal dd: optimise compression" --stdout --ok-label "Yes" --cancel-label "No" --yesno "$SOURCEPART will be copied to $DESTPART.gz, compressed with gzip.
 Compression may be greatly improved if the unused part of $SOURCEPART
 is zeroised. This involves temporarily mounting it on /mnt/tmp,
 writing zeroes to the unused areas, then unmounting it.
 Would you like to do this size optimisation?" 0 0
         if [ $? -eq 0 ];then

Changes to woof-code/rootfs-skeleton/usr/sbin/alsaconf

@@ -25,10 +25,11 @@
 #110506 /etc/init.d/10alsa name fix, but this fix might break alsaconf as option 'stop' then 'restart' might not be handled properly in 10alsa.
 #110509 rerwin: take version from alsacctl.
 #110509 rerwin: remove sound card entry in /etc/modprobe.d/alsa.conf before writing it.
 #110519 warning msg that reboot may be required.
 #120201 rodin.s: update internationalized.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 #101015 check for low ram, warn full depmod may not work... 110405...
 #FREEMEM=`free | tr -s ' ' | grep -o 'Total: [0-9]*' | cut -f 2 -d ' '`
 memTOTALK=`free | grep -o 'Mem: .*' | tr -s ' ' | cut -f 2 -d ' '`
 swapTOTALK=`free | grep -o 'Swap: .*' | tr -s ' ' | cut -f 2 -d ' '`
@@ -47,10 +48,13 @@
 export TEXTDOMAIN=alsaconf
 export OUTPUT_CHARSET=UTF-8
 #export XDIALOG_HIGH_DIALOG_COMPAT=1 #101015 # rodin.s: comment out for better layout in Russian
 #DIALOG=dialog
 DIALOG='Xdialog' #101015
+
+Yes_lbl="$(gettext 'Yes')"
+No_lbl="$(gettext 'No')"
 
 prefix=/usr
 exec_prefix=${prefix}
 bindir=${exec_prefix}/bin
 sbindir=${exec_prefix}/sbin
@@ -724,11 +728,11 @@
 	msg=$(xmsg "
 Configuring %s
 PLEASE ANSWER YES HERE SO PUPPY WILL USE DRIVER ON NEXT BOOT
 Do you want to modify %s?" $CARD_DRIVER $cfgfile)
     echo "Configure driver ${CARD_DRIVER}..." #101017
-        $DIALOG --title "ALSA Wizard" --cr-wrap --yesno "$msg" 10 80 || acex 0
+        $DIALOG --title "ALSA Wizard" --cr-wrap --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$msg" 10 80 || acex 0
     clear
 
     # Copy conf.modules and make changes.
     ACB="# --- BEGIN: Generated by ALSACONF, do not edit. ---"
     ACE="# --- END: Generated by ALSACONF, do not edit. ---"
@@ -809,11 +813,11 @@
                            NOTE:
 If you have a big amplifier, lower your volumes or say no.
     Otherwise check that your speaker volume is wound up,
          then select <Yes> to play test sound...
 ")
-      if $DIALOG --title "ALSA Wizard" --cr-wrap --yesno "$msg" 14 70
+      if $DIALOG --title "ALSA Wizard" --cr-wrap --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$msg" 14 70
       then
           clear
 	      echo
 	      #aplay -N $TESTSOUND
           #BK two-barks gets truncated, -N option causes it...
@@ -1141,11 +1145,11 @@
    your system unstable.
 
         Do you want to proceed?
 
 ")
-    $DIALOG --title "$title" --cr-wrap --yesno "$msg" 10 50 || acex 0
+    $DIALOG --title "$title" --cr-wrap --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$msg" 10 50 || acex 0
 
     if [ x"$1" = x ]; then
 	probe_list="$LEGACY_CARDS"
     else
 	probe_list=$*
@@ -1174,11 +1178,11 @@
     if [ $try_all_combination != 1 ]; then
 	msg=$(xmsg "
  Shall I try all possible DMA and IRQ combinations?
  With this option, some unconventional configuration
  might be found, but it will take much longer time.")
-	if $DIALOG --title "ALSA Wizard" --cr-wrap --yesno "$msg" 10 60
+	if $DIALOG --title "ALSA Wizard" --cr-wrap --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$msg" 10 60
 	    then
 	    try_all_combination=1
 	fi
     fi
 
@@ -1232,11 +1236,11 @@
 Also, unloading of the audio drivers may affect some dialup modems,
 and they may not work after running this Wizard -- again, a reboot
 will fix it.')'
 
 '$(xmsg 'Do you want to continue and run the Wizard?...')''
-$DIALOG --title "$(xmsg 'ALSA Sound Wizard: NOTICE')" --cr-wrap --yesno "$msg0" 0 0 || exit 0
+$DIALOG --title "$(xmsg 'ALSA Sound Wizard: NOTICE')" --cr-wrap --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$msg0" 0 0 || exit 0
 
 #welcome window...
 intro
 
 if [ $do_legacy_only = 1 ]; then
@@ -1275,11 +1279,11 @@
  On this notebook, CS4236 driver should be used
  although CS46xx chip is detected.
 
  Shall I try to snd-cs4236 driver and probe
  the legacy ISA configuration?")
-	    if $DIALOG --title "ALSA Wizard" --cr-wrap --yesno "$msg" 13 60
+	    if $DIALOG --title "ALSA Wizard" --cr-wrap --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$msg" 13 60
 	    then
 		try_all_combination=1
 		ac_config_legacy cs4236
 		exit 0
 	    fi
@@ -1289,11 +1293,11 @@
  On this machine, CS4232 driver should be used
  although CS46xx chip is detected.
 
  Shall I try to snd-cs4232 driver and probe
  the legacy ISA configuration?")
-	    if $DIALOG --title "ALSA Wizard" --cr-wrap --yesno "$msg" 13 60
+	    if $DIALOG --title "ALSA Wizard" --cr-wrap --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$msg" 13 60
 	    then
 		try_all_combination=1
 		ac_config_legacy cs4232
 		exit 0
 	    fi
@@ -1322,13 +1326,13 @@
         No supported PnP or PCI card found.
 
  Would you like to probe legacy ISA sound cards/chips?
 
 ")
-    if $DIALOG --title "ALSA Wizard" --cr-wrap --yesno "$msg" 9 60 ; then
+    if $DIALOG --title "ALSA Wizard" --cr-wrap --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$msg" 9 60 ; then
 	ac_config_legacy
 	exit 0
     fi
 fi
 
 rm -f "$FOUND" "$DUMP"
 exit 0

Changes to woof-code/rootfs-skeleton/usr/sbin/burniso2cd

@@ -8,19 +8,23 @@
 #w482 migrate to using xorriso.
 #v431 rerwin: Add wait for drive lights to stop flashing before verifying and log the verify dd messages.
 #110205 previous probedisk script removed.
 #120201 rodin.s: internationalized.
 #120323 replace 'xmessage' with 'pupmessage'.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 export TEXTDOMAIN=burniso2cd
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
 eval_gettext () {
   local myMESSAGE=$(gettext "$1")
   eval echo \"$myMESSAGE\"
 }
 export LANGORG=$LANG
+
+Yes_lbl="$(gettext 'Yes')"
+No_lbl="$(gettext 'No')"
 
 CDRECORD='cdrecord'
 if [ "`which xorriso`" != "" ];then
  CDRECORD='xorrecord'
  export MKISOFS='xorrisofs' #growisofs reads this variable.
@@ -136,11 +140,11 @@
 
  #v2.10 kirk contributed this...
  # ******Verify burn******
  DEVNAME="`echo -n "$CDR" | grep '/dev' | cut -f 3 -d '/'`"
  if [ ! "$DEVNAME" = "" -a "$RECHECK" = "yes" ];then
-  Xdialog --wmclass "mini-cd" --title "$(gettext 'Burniso2cd: Finished')" --stdout --yesno "$(gettext 'Would you like to verify that the burn was successful?
+  Xdialog --wmclass "mini-cd" --title "$(gettext 'Burniso2cd: Finished')" --stdout --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$(gettext 'Would you like to verify that the burn was successful?
 This may take a while depending on the size of the iso file.')" 0 0
   if  [ "$?" = "0" ] ;then
    pupmessage -bg "#80ff80" -center -name "burniso2cd" -title "$(gettext 'Burniso2cd: Burn Verify')" "$(gettext 'Make sure the CD/DVD drive is closed,
 then click OK')"
    echo "Waiting 15 seconds to allow drive lights to finish blinking" > /tmp/burniso2cd.log #v431

Changes to woof-code/rootfs-skeleton/usr/sbin/cups_shell

@@ -10,14 +10,18 @@
 #100410 extra test for SM 2.0.4 on slow PCs. Fix samba printing.
 #100512 fix samba printing, take two. 100706 fix.
 #101221 yaf-splash fix.
 #120201 rodin.s: internationalized.
 #120225 internationalized help file. modified basichtmlviewer.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 export TEXTDOMAIN=cups_shell
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
+
+Yes_lbl="$(gettext 'Yes')"
+No_lbl="$(gettext 'No')"
 
 USEBROWSER="defaultbrowser"
 [ -f /usr/bin/netsurf-barewindow ] && USEBROWSER="netsurf-barewindow"
 [ -f /usr/local/bin/bareview ] && USEBROWSER="bareview" #from gtkmoz pkg.
 [ -f /usr/local/bin/cupsview ] && USEBROWSER="cupsview" #w471 from gtkmoz pkg.
@@ -40,11 +44,11 @@
  #[ "$SMBSPOOL" ] && cp -a $SMBSPOOL /usr/lib/cups/backend/smb
 fi
 [ -f /etc/opt/samba/smb.conf ] && chmod 755 /etc/opt/samba/smb.conf #need world-readable.
 [ -f /etc/samba/smb.conf ] && chmod 755 /etc/samba/smb.conf #need world-readable.
 
-Xdialog --yesno "$(gettext 'Do you want to add a new printer?')" 0 0
+Xdialog --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$(gettext 'Do you want to add a new printer?')" 0 0
 if [ $? -ne 0 ];then
  #is cupsd running?...
  if [ "`pidof cupsd`" = "" ];then
   #[ -f /etc/rc.d/rc.cups ] && /etc/rc.d/rc.cups start
   #[ -f /etc/init.d/cups ] && /etc/init.d/cups start

Changes to woof-code/rootfs-skeleton/usr/sbin/modemtest

@@ -7,19 +7,23 @@
 #v477 rerwin: v413 wait longer for modem response; add splash message during sleep
 #v424 rerwin: reset skip-PIN flag
 #101203 bk: message modification.
 #101220 bk: info box if get empty string.
 #120201 rodin.s: internationalized.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 export TEXTDOMAIN=modemtest
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
 eval_gettext () {
   local myMESSAGE=$(gettext "$1")
   eval echo \"$myMESSAGE\"
 }
 export LANGORG=$LANG
+
+Yes_lbl="$(gettext 'Yes')"
+No_lbl="$(gettext 'No')"
 
 #[ ! $1 ] && exit
 DEVM=$1
 PARAM2=$2
 
@@ -114,11 +118,11 @@
    kill $X8PID #v413
    modem_device_to_conf_func $DEVM #v433 set tested dev
    if [ "$DEVM" = "$MODEMDEV" -a "$PARAM2" = "" ];then
     Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: modem test')" --no-cancel --msgbox "`eval_gettext \"Success, the modem responds as \\\$DEVM! (The modem is there; getting it to dial out is another matter!)\"`" 0 0
    else
-    Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: modem test')" --no-cancel --yesno "${MSGSUCCESS}" 0 0
+    Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: modem test')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "${MSGSUCCESS}" 0 0
     if [ $? -eq 0 ];then
      yaf-splash -outline 0 -margin 4 -bg orange -text "$(gettext 'Please wait, updating settings...')" &
 #     /usr/X11R7/bin/yaf-splash -font "8x16" -outline 0 -margin 4 -bg orange -text "Please wait, updating settings..." &
      X9PID=$!
      ln -snf $DEVM /dev/modem
@@ -147,11 +151,11 @@
      fi
     else
      #101203...
      INIT3="`cat /etc/wvdial.conf | grep '^Init3' | tr -d ' ' | cut -f 2-9 -d '='`"
      if [ "$INIT3" ];then
-      Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: Initialization string')" --no-cancel --yesno "`gettext \"The PupDial configuration file /etc/wvdial.conf does have initialization\n
+      Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: Initialization string')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "`gettext \"The PupDial configuration file /etc/wvdial.conf does have initialization\n
 strings in it from previous usage of PupDial. Would you like to reset\n
 them to the default ('ATZ' only)?\n
 Note, you might want to do this if you have changed modems and you know\n
 that the defaults are sufficient. If in doubt, click 'No'...\"`" 0 0
       if [ $? -eq 0 ];then

Changes to woof-code/rootfs-skeleton/usr/sbin/nouveau_unload

@@ -1,41 +1,50 @@
 #!/bin/sh
-# helper script to unload nouveau
+#License GPL3 (refer: /usr/share/doc/legal).
+#01micko: helper script to unload nouveau
+#120329 convert t12s to gettext internationalization.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
+
+export TEXTDOMAIN=nouveau_unload
+export OUTPUT_CHARSET=UTF-8
+
+Yes_lbl="$(gettext 'Yes')"
+No_lbl="$(gettext 'No')"
 
 LANGPATH=/usr/share/locale/${LANG%_*}/nouveau_unload
 [ -f $LANGPATH ] && . $LANGPATH
 
 disablefunc() #disables nouveau on reboot
 {
-echo 'blacklist nouveau
+ echo 'blacklist nouveau
 options nouveau modeset=0' > /etc/modprobe.d/disable-nouveau.conf
-echo 'blacklist nouveau' >> /etc/modprobe.d/blacklist.conf
-mv -f /etc/modprobe.d/nouveau.conf /etc/modprobe.d/nouveau.conf.bak
-mv -f /etc/X11/xorg.conf /etc/X11/xorg.conf.nouveau
+ echo 'blacklist nouveau' >> /etc/modprobe.d/blacklist.conf
+ mv -f /etc/modprobe.d/nouveau.conf /etc/modprobe.d/nouveau.conf.bak
+ mv -f /etc/X11/xorg.conf /etc/X11/xorg.conf.nouveau
 }
 export -f disablefunc
 #X=1 #testing
 if [ $DISPLAY ];then #with X
-TITLE="${_M_1:-Disable Nouveau; Xorgwizard}"
-HEAD=Nouveau
-MSG2="${_M_2:-Nouveau is currently the video driver. It needs to be unloaded for another driver to load. Your machine then must be rebooted.}"
-MSG3="${_M_3:-If you want to keep nouveau you may be able to change screen resolution using xorgwizard.}"
-MSG4="${_M_4:-After reboot you should arrive back at a desktop. Test the driver with 'report-video'. If you are satisfied you can go on otherwise select xorgwizard from the Setup >> Wizard Menu.}"
-MSG5="${_M_5:-Choose either the nv or vesa drivers so nouveau does not load and choose resolution.}"
-if [ -f /tmp/nvidia_install ];then
-#if [ $X ];then #testing
-HEAD=Nvidia
-# may or may not reboot with nvidia xorg driver
-MSG4="${_M_5:-After reboot you should arrive back at a desktop. Test the driver with 'report-video'. If you have not got 'nvidia' driver listed then select xorgwizard from the Setup >> Wizard Menu. When back to console running xorgwizard select the 'choose' option then select nvidia from the subsequent list. Choose your resolution}"
-MSG3="__________"
-MSG5="."
-fi
-MSG6="${_M_6:-Would you like to unload nouveau and reboot?}"
+ TITLE="$(gettext 'Disable Nouveau; Xorgwizard')"
+ HEAD=Nouveau
+ MSG2="$(gettext 'Nouveau is currently the video driver. It needs to be unloaded for another driver to load. Your machine then must be rebooted.')"
+ MSG3="$(gettext 'If you want to keep nouveau you may be able to change screen resolution using xorgwizard.')"
+ MSG4="$(gettext "After reboot you should arrive back at a desktop. Test the driver with 'report-video'. If you are satisfied you can go on otherwise select xorgwizard from the Setup >> Wizard Menu.")"
+ MSG5="$(gettext 'Choose either the nv or vesa drivers so nouveau does not load and choose resolution.')"
+ if [ -f /tmp/nvidia_install ];then
+  #if [ $X ];then #testing
+  HEAD=Nvidia
+  # may or may not reboot with nvidia xorg driver
+  MSG4="$(gettext "After reboot you should arrive back at a desktop. Test the driver with 'report-video'. If you have not got 'nvidia' driver listed then select xorgwizard from the Setup >> Wizard Menu. When back to console running xorgwizard select the 'choose' option then select nvidia from the subsequent list. Choose your resolution")"
+  MSG3="__________"
+  MSG5="."
+ fi
+ MSG6="$(gettext 'Would you like to unload nouveau and reboot?')"
+
+ XMSG="$(gettext 'Reboot now?')"
 
-XMSG="${_M_7:-Reboot now?}"
-
-export GUI='<window title="'"$TITLE"'" resizable="false">
+ export GUI='<window title="'"$TITLE"'" resizable="false">
  <vbox>
   <text use-markup="true"><label>"<big><b>'"$HEAD"'</b></big>"</label></text>
   <hseparator></hseparator>
   <text><label>'"$MSG2"'</label></text>
   <text><label>'"$MSG3"'</label></text>
@@ -46,25 +55,29 @@
   <hbox homogeneous="true">
    <button yes></button>
    <button no></button>
   </hbox>
  </vbox>
-</window>'
-eval $(gtkdialog4 -c -p GUI)
-case $EXIT in
-Yes)echo 'yes' > /tmp/abort_xorgwizard
-disablefunc
-Xdialog -yesno "$XMSG" 0 0
+ </window>'
+ eval $(gtkdialog4 -c -p GUI)
+ case $EXIT in
+ Yes)
+  echo 'yes' > /tmp/abort_xorgwizard
+  disablefunc
+  Xdialog --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$XMSG" 0 0
 	case $? in
 	0)wmreboot ;;
 	*)exit;;
 	esac
-;;
-*)echo "no or aborted";;
-esac
- else #no X
+ ;;
+ *)
+  echo "no or aborted"
+ ;;
+ esac
+else #no X
  disablefunc
  echo "rebooting"
  sleep 2
  reboot
 fi
 
+###END###

Changes to woof-code/rootfs-skeleton/usr/sbin/pupdial

@@ -29,10 +29,11 @@
 #101217 new help button, for modem setup.
 #101218 passed param if re-run this script do not do probe of hotpluggable modems.
 #110505 support sudo for non-root user.
 #120202 rodin.s: internationalized.
 #120218 rerwin: Ensure non-null logon info for wvdial.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 export TEXTDOMAIN=pupdial
 export TEXTDOMAINDIR=/usr/share/locale
@@ -41,10 +42,13 @@
   local myMESSAGE=$(gettext "$1")
   eval echo \"$myMESSAGE\"
 }
 
 #hint: for debugging, to force pupdial to ask all questions, delete /var/local/pupdial/hotpluggable
+
+Yes_lbl="$(gettext 'Yes')"
+No_lbl="$(gettext 'No')"
 
 KERNVER="`uname -r`"
 FLAGNEWPROBE='' #101203
 PASSEDPARAM=''
 [ $1 ] && PASSEDPARAM="$1" #101218
@@ -154,11 +158,11 @@
   if [ -f /etc/wvdial.conf ];then
    wvMODEM="`grep '^Modem =' /etc/wvdial.conf | head -n 1 | tr -s ' ' | cut -f 3 -d ' '`"
    newMODEM="/dev/`readlink /dev/modem | sed -e 's%/dev/%%'`"
    if [ -e ${newMODEM} ];then #precaution.
     if [ "$wvMODEM" != "$newMODEM" ];then
-     Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: modem changed')" --ok-label "$(gettext 'UPDATE')" --yesno "`eval_gettext \"It seems that the modem has changed.\n
+     Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: modem changed')" --ok-label "$(gettext 'UPDATE')" --cancel-label "$No_lbl" --yesno "`eval_gettext \"It seems that the modem has changed.\n
 It was '\\\${wvMODEM}', it is now '\\\${newMODEM}'\n
 Do you want to update PupDial?\n
 Recommend click UPDATE button...\"`" 0 0
      [ $? -eq 0 ] && FLAGNEWPROBE='yes'
     fi
@@ -168,11 +172,11 @@
 fi
 
 #i also want this to rerun after 'erase' button pressed in pupdial...
 if [ "$FLAGNEWPROBE" = "yes" ];then
  if [ "$MYDEVM" != "MYDEVM" -a "$MYDEVM" != "modem" ];then
-  Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: modem found')" --ok-label "$(gettext 'TEST')" --yesno "`eval_gettext \"It seems that you have a modem, at port \\\${MYDEVM}\n
+  Xdialog --left --wmclass "pupdial" --title "$(gettext 'PupDial: modem found')" --ok-label "$(gettext 'TEST')" --cancel-label "$No_lbl" --yesno "`eval_gettext \"It seems that you have a modem, at port \\\${MYDEVM}\n
 However, it is recommended that you now click the 'TEST' button\n
 to test that it is working.\n
 \n
 Note 1: The test will also optionally probe for what is called an\n
 'inialization string'. If you are running PupDial for the first time\n

Changes to woof-code/rootfs-skeleton/usr/sbin/puppyinstaller

@@ -44,17 +44,21 @@
 #111011 bump to gtkdialog4. small fixes.
 #120126 jemimah: clear SELECTIONS variable, add ntfs exclusion.
 #120202 rodin.s: internationalized
 #120310 npierce: fix some grep operations.
 #120323 replace 'xmessage' with 'pupmessage'.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 export TEXTDOMAIN=puppyinstaller
 export OUTPUT_CHARSET=UTF-8
 . gettext.sh
 export LANGORG=$(locale | grep LANG | cut -d '=' -f2)
+
+Yes_lbl="$(gettext 'Yes')"
+No_lbl="$(gettext 'No')"
 
 GTKDIALOGEXE="`which gtkdialog4`"
 [ ! "$GTKDIALOGEXE" ] && GTKDIALOGEXE="`which gtkdialog`"
 [ ! "$GTKDIALOGEXE" ] && exit 1
 
@@ -1577,11 +1581,11 @@
       BOOTPART="${ONEUSB}1"
       break
      fi
     done
     if [ ! "$BOOTPART" = "" ];then
-     Xdialog --wmclass "gtkdialog2" --left --title "$(gettext 'Puppy Universal Installer')" --yesno "`eval_gettext \"Please confirm that you want to make '\\\$BOOTPART' into a boot disk for Puppy.\nIf Puppy has mis-identified the device, then answer 'No' here...\n\nClick 'Yes' button if correct device...\"`" 0 0
+     Xdialog --wmclass "gtkdialog2" --left --title "$(gettext 'Puppy Universal Installer')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "`eval_gettext \"Please confirm that you want to make '\\\$BOOTPART' into a boot disk for Puppy.\nIf Puppy has mis-identified the device, then answer 'No' here...\n\nClick 'Yes' button if correct device...\"`" 0 0
      [ ! $? -eq 0 ] && continue
     fi
     if [ ! "$BOOTPART" = "" ];then
      cp -af $SRCPATH/vmlinuz /mnt/$DESTPART/
      sync
@@ -1675,11 +1679,11 @@
     else
      Xdialog --wmclass "gtkdialog2" --left --title "$(gettext 'Puppy Universal Installer')" --msgbox "$(gettext 'The "grubconfig" script is about to be executed.\nJust accept the defaults. The very first question will ask if you\nwant to do a simple installation, and you accept that option, which\nis the default. The only place where I suggest you deviate from the\ndefault, is when it asks where to install Grub, choose "MBR"')." 0 0
      while [ 1 ];do
       grubconfig /dev/$DESTPART
       #...if choose to create a boot floppy, writes 'no' to /tmp/loopbrk.txt.
-      Xdialog --wmclass "gtkdialog2" --title "$(gettext 'Universal Installer')" --yesno "$(gettext 'If you have already run grubconfig to create a boot floppy or installed')\n\
+      Xdialog --wmclass "gtkdialog2" --title "$(gettext 'Universal Installer')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$(gettext 'If you have already run grubconfig to create a boot floppy or installed')\n\
 `gettext \"to h.d., click 'Yes' button to rerun grubconfig script to either create\"`\n\
 `gettext \"another boot floppy or install or reinstall GRUB to the hard drive.\"`\n\
 `gettext \"If choose 'Yes', just accept all the defaults as before.\"`\n\
 \n\
 `gettext \"Click 'Yes' to rerun grubconfig...\"`\n\
@@ -1688,11 +1692,11 @@
      done
      rm -f /tmp/loopbrk.txt
      exit
     fi
    fi
-   Xdialog --wmclass "gtkdialog2" --title "$(gettext 'Puppy Universal Installer')" --yesno "$(gettext 'Do you want to go back and create another boot disk or Grub boot?...')" 0 0
+   Xdialog --wmclass "gtkdialog2" --title "$(gettext 'Puppy Universal Installer')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$(gettext 'Do you want to go back and create another boot disk or Grub boot?...')" 0 0
    [ ! $? -eq 0 ] && break
   done
 
   umount /mnt/$DESTPART 2> /dev/null
   ;;

Changes to woof-code/rootfs-skeleton/usr/sbin/puppypdf

@@ -1,17 +1,21 @@
 #!/bin/bash
 #2007 Lesser GPL licence v2 (http://www.fsf.org/licensing/licenses/lgpl.html)
 #v426 nikin: bugfix.
 #120202 rodin.s: internationalized.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 export TEXTDOMAIN=puppypdf
 export TEXTDOMAINDIR=/usr/share/locale
 export OUTPUT_CHARSET=UTF-8
 eval_gettext () {
   local myMESSAGE=$(gettext "$1")
   eval echo \"$myMESSAGE\"
 }
+
+Yes_lbl="$(gettext 'YES')"
+No_lbl="$(gettext 'NO')"
 
 #info screen
 #choose input file
 #specify output file name
 #result notification
@@ -66,12 +70,11 @@
            rm -f /tmp/type #not a pdf file
 
         else
            #--- if gui is running... --->
            if [ $GUI -eq 1 ]; then
-                Xdialog --title "$(gettext 'PDF file selected')"\
-                        --yesno "$(gettext 'A PDF file was selected.\n\nPress YES to try again,\n\n or NO to quit')\n\n" 0 0
+                Xdialog --title "$(gettext 'PDF file selected')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$(gettext 'A PDF file was selected.\n\nPress YES to try again,\n\n or NO to quit')\n\n" 0 0
                 case $? in
                  0)
                    chooseFile
                    exit 0;;
                  1)
@@ -90,12 +93,11 @@
 
    else
 
       #--- input is not a file --->
       if [ $GUI -eq 1 ]; then
-           Xdialog --title "$(gettext 'No file selected')"\
-                   --yesno "$(gettext 'Invalid file selected.\n\nPress YES to try again,\n\n or NO to quit')\n\n" 0 0
+           Xdialog --title "$(gettext 'No file selected')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$(gettext 'Invalid file selected.\n\nPress YES to try again,\n\n or NO to quit')\n\n" 0 0
          case $? in
            0)
              chooseFile
              exit 0;;
            1)
@@ -123,12 +125,11 @@
 
 
    #--- specified output file already exists --->
    if [ -f "$OUTPUT" ]; then
        if [ $GUI -eq 1 ]; then
-            Xdialog --title "$(gettext 'Filename already exists')"\
-                    --yesno "$OUTPUT $(gettext 'already exists\n\nPress YES to overwrite,\n\nor NO to change')\n\n" 0 0
+            Xdialog --title "$(gettext 'Filename already exists')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$OUTPUT $(gettext 'already exists\n\nPress YES to overwrite,\n\nor NO to change')\n\n" 0 0
          case $? in
            0)
              echo "";;
            1)
              outputName;;
@@ -145,12 +146,11 @@
 }
 
 #---splashscreen--->
 function splash
 {
-   Xdialog --title "$(gettext 'Puppy PDF Conversion Wizard')"\
-           --help "$SUPP"\
+   Xdialog --title "$(gettext 'Puppy PDF Conversion Wizard')" --help "$SUPP" --ok-label "$Yes_lbl" --cancel-label "$No_lbl"\
            --yesno "$(gettext 'WELCOME to the Puppy PDF Conversion Wizard!')\n\n\
 $(gettext 'Press YES to choose the file to convert,\n\n NO to exit,\n\n or HELP for more info')\n\n" 0 0
 
    case $? in
      0)
@@ -200,11 +200,11 @@
 
 #---final confirmation--->
 function finalConfirm
 {
    checkArgs
-   Xdialog --wrap --title "$(gettext 'Confirm...')"\
+   Xdialog --wrap --title "$(gettext 'Confirm...')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" \
            --yesno "$(gettext 'The Puppy PDF Conversion Wizard') \n\
 `eval_gettext \"will now convert\n\n\\\$INPUT\n\nto the pdf file\"`\n\n$OUTPUT\n\n\
 $(gettext 'If this is correct, choose YES\n To quit, choose NO')\n\n" 0 0
 
    case $? in

Changes to woof-code/rootfs-skeleton/usr/sbin/remasterpup2

@@ -36,12 +36,16 @@
 #101107 bug fix from zygo.
 #110505 support sudo for non-root user.
 #110722 tweak sort.
 #110808 PANZERKOPF: bug fix. 110822 reverted.
 #120323 replace 'xmessage' with 'pupmessage'.
-
-[ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
+
+[ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
+
+Yes_lbl="Yes"
+No_lbl="No"
 
 # remasterpup2.mo
 m_01="Puppy simple CD remaster"
 m_02="ERROR"
 m_03="This program requires a \$PUPPYSFS file mounted on /initrd\${PUP_LAYER}.\n
@@ -400,11 +404,11 @@
 # reuse if sfs file already exists
 NEW="yes"
 SFSPATH=$(ls -1 $WKGMNTPT/puppylivecdbuild/$PUPPYSFS 2>/dev/null)
 if [ "$SFSPATH" != "" -a $(echo "$SFSPATH" | wc -l) -eq 1 ]; then
 	eval m_35=\"$m_35\"
-	Xdialog --wrap --left --title "$m_01" --yesno "$m_35" 0 0 && NEW="no"
+	Xdialog --wrap --left --title "$m_01" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$m_35" 0 0 && NEW="no"
 fi
 SFSPATH=""
 
 if [ "$NEW" = "yes" ]; then  ###### long skip if, cleating new sfs
 
@@ -442,11 +446,11 @@
  [ $? -eq 0 ] && break
  done
 fi
 
 eval m_16_1=\"$m_16_1\"
-Xdialog --wrap --left  --title "$m_01" --default-no --yesno "$m_16_1" 0 0
+Xdialog --wrap --left  --title "$m_01" --default-no --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$m_16_1" 0 0
 [ $? -eq 0 ] && MKZDRV="yes" || MKZDRV=""
 
 #now get the files off it...
 #firstly need working place to write to...
 [ "$WKGPART" = "ramdisk" ] && WKGMNTPT="/"
@@ -637,11 +641,11 @@
 cp -af /etc/eventmanager /tmp/etc/ #v411
 
 #what about settings for a particular pc?...
 MSG1="$m_20"
 eval m_21=\"$m_21\"
-Xdialog --wrap --left --title "$m_01" --default-no --yesno "$m_21" 0 0
+Xdialog --wrap --left --title "$m_01" --default-no --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$m_21" 0 0
 if [ $? -eq 0 ];then
  cp -af /etc/codepage /tmp/etc/
  cp -af /etc/fontmap /tmp/etc/
  cp -af /etc/keyboardtype /tmp/etc/
  cp -af /etc/keymap /tmp/etc/
@@ -726,11 +730,11 @@
 if [ -f $WKGMNTPT/puppylivecdbuild/isolinux.cfg ]; then
  #edit isolinux.cfg...
  ISOLINUXCFG="`cat $WKGMNTPT/puppylivecdbuild/isolinux.cfg`"
  #small tweaks, like acpi=on, ide=nodma...
  eval m_24=\"$m_24\"
- Xdialog --wrap --left  --title "$m_01" --yesno "$m_24" 0 0
+ Xdialog --wrap --left  --title "$m_01" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$m_24" 0 0
  if [ $? -eq 0 ];then
   defaulttexteditor $WKGMNTPT/puppylivecdbuild/isolinux.cfg
  fi
  sync
 fi
@@ -772,16 +776,16 @@
 cd /root
 
 #build new iso file, or direct burn to cd...
 #to save space, burn direct from $WKGMNTPT/puppylivecdbuild/ to cd...
 eval m_26=\"$m_26\"
-Xdialog --wrap --left --title "$m_01" --yesno "$m_26" 0 0
+Xdialog --wrap --left --title "$m_01" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$m_26" 0 0
 
 if [ ! $? -eq 0 ];then
  MSG="$m_28_2"
  eval m_27=\"$m_27\"
- Xdialog --wrap --left  --title "$m_01" --yesno "$m_27" 0 0
+ Xdialog --wrap --left  --title "$m_01" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$m_27" 0 0
  if [ $? -eq 0 ];then
   #cd $WKGMNTPT
   VOLI=""
   VOLI=$(Xdialog --title "$m_01" --stdout --inputbox "$m_27_1" 0 0 "$SFSBASE")
   [ "$VOLI" != "" ] && VOLI="-V $(echo "$VOLI"|tr ' ' '_')"

Changes to woof-code/rootfs-skeleton/usr/sbin/remove_builtin

@@ -3,10 +3,11 @@
 #based on a script by technosaurus, Dec. 2010.
 #101222 fix menu.
 #101227 technosaurus: fixed reverse dependency check.
 #110505 support sudo for non-root user.
 #120202 rodin.s: internationalized.
+#120329 Xdialog bug --yesno supposed to "yes" "No" buttons, but they are "OK" "Cancel".
 
 [ "`whoami`" != "root" ] && exec sudo -A ${0} ${@} #110505
 
 export TEXTDOMAIN=remove_builtin
 export TEXTDOMAINDIR=/usr/share/locale
@@ -16,10 +17,13 @@
   eval echo \"$myMESSAGE\"
 }
 export LANGORG=$LANG
 
 #export LANG=C #keep Xdialog happy. #off for gettext
+
+Yes_lbl="$(gettext 'Yes')"
+No_lbl="$(gettext 'No')"
 
 MSG1="`gettext \"Simple utility to 'delete' packages that are builtin\nto the read-only .sfs file (Squashfs filesystem)\"`"
 
 #!/bin/sh
 D=$HOME/.packages/builtin_files
@@ -38,11 +42,11 @@
 Technical note: the lists of builtin files is at /root/.packages/builtin_files,\n
         the list of builtin pkgs is in /root/.packages/woof-installed-packages.")" --combobox "$(gettext 'Select package to remove:')" 0 0 $PKGS`
  if [ "$PKG" ];then
   aREGEX="|${PKG}|"
   DESCR="`grep "$aREGEX" /root/.packages/woof-installed-packages |cut -d "|" -f 10`"
-  Xdialog --left --screen-center --backtitle "$(gettext 'Confirm that you want to delete') '${PKG}'" --title "$(gettext 'Remove builtin packages')" --yesno "$(gettext 'Description of package:')\n
+  Xdialog --left --screen-center --backtitle "$(gettext 'Confirm that you want to delete') '${PKG}'" --title "$(gettext 'Remove builtin packages')" --ok-label "$Yes_lbl" --cancel-label "$No_lbl" --yesno "$(gettext 'Description of package:')\n
 ${DESCR}\n\n
 $(gettext 'For information only, these are dependencies of') '${PKG}':\n
 `grep "$aREGEX" /root/.packages/woof-installed-packages |cut -d "|" -f 9 | sed -e 's%^+%%' -e 's%,+% %g'`
 \n
 `eval_gettext \"Warning, removing '\\\${PKG}' _may_ break the following packages:\"`\n

Changes to woof-code/rootfs-skeleton/usr/sbin/xgamma-gui

@@ -29,11 +29,11 @@
  EXCODE=${?}
 
 done
 
 if [ ! -z ${sGAMMA} ]; then
- Xdialog --yesno "Save current configuration?" 0 0
+ Xdialog --ok-label "Yes" --cancel-label "No" --yesno "Save current configuration?" 0 0
   if [ ${?} -eq 0 ]; then
    echo -n "xgamma -rgamma ${sGAMMA:0:1}.${sGAMMA:1:2} -ggamma ${sGAMMA:4:1}.${sGAMMA:5:2} -bgamma ${sGAMMA:8:1}.${sGAMMA:9:2}"' &' > $HOME/.xgamma-gamma
    echo " #${sGAMMA}" >> $HOME/.xgamma-gamma
    #...xgamma is executed in /root/.xinitrc
    echo "Saved"

Changes to woof-code/rootfs-skeleton/usr/share/locale/de/EMPTYDIRMARKER


Deleted woof-code/rootfs-skeleton/usr/share/locale/de/LC_MESSAGES/mousecheck.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/de/LC_MESSAGES/proxy-setup.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/de/LC_MESSAGES/quicksetup.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/de/LC_MESSAGES/rc.shutdown.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/de/LC_MESSAGES/shutdownconfig.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/de/LC_MESSAGES/welcome1stboot.mo

Changes to woof-code/rootfs-skeleton/usr/share/locale/es/EMPTYDIRMARKER


Deleted woof-code/rootfs-skeleton/usr/share/locale/es/LC_MESSAGES/connectwizard.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/es/LC_MESSAGES/hostname-set.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/es/LC_MESSAGES/quicksetup.mo

Changes to woof-code/rootfs-skeleton/usr/share/locale/fr/EMPTYDIRMARKER


Deleted woof-code/rootfs-skeleton/usr/share/locale/fr/LC_MESSAGES/mousecheck.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/fr/LC_MESSAGES/proxy-setup.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/fr/LC_MESSAGES/quicksetup.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/fr/LC_MESSAGES/welcome1stboot.mo

Changes to woof-code/rootfs-skeleton/usr/share/locale/hu/EMPTYDIRMARKER


Deleted woof-code/rootfs-skeleton/usr/share/locale/hu/LC_MESSAGES/EMPTYDIRMARKER

Deleted woof-code/rootfs-skeleton/usr/share/locale/ja/LC_MESSAGES/remasterpup2.mo

Changes to woof-code/rootfs-skeleton/usr/share/locale/nl/EMPTYDIRMARKER


Deleted woof-code/rootfs-skeleton/usr/share/locale/nl/LC_MESSAGES/quickset.mo

Changes to woof-code/rootfs-skeleton/usr/share/locale/pl/EMPTYDIRMARKER


Deleted woof-code/rootfs-skeleton/usr/share/locale/pl/LC_MESSAGES/quicksetup.mo

Changes to woof-code/rootfs-skeleton/usr/share/locale/pt_BR/EMPTYDIRMARKER


Deleted woof-code/rootfs-skeleton/usr/share/locale/pt_BR/LC_MESSAGES/connectwizard.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/pt_BR/LC_MESSAGES/hostname-set.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/pt_BR/LC_MESSAGES/quicksetup.mo

Changes to woof-code/rootfs-skeleton/usr/share/locale/ru/EMPTYDIRMARKER


Deleted woof-code/rootfs-skeleton/usr/share/locale/ru/LC_MESSAGES/connectwizard.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/ru/LC_MESSAGES/hostname-set.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/ru/LC_MESSAGES/mousecheck.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/ru/LC_MESSAGES/proxy-setup.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/ru/LC_MESSAGES/quicksetup.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/ru/LC_MESSAGES/rc.shutdown.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/ru/LC_MESSAGES/shutdownconfig.mo

Deleted woof-code/rootfs-skeleton/usr/share/locale/ru/LC_MESSAGES/welcome1stboot.mo